---
type: object
properties:
  mysql:
    type:
      - object
      - "null"
    properties:
      access:
        type: object
        properties:
          login:
            type: string
          password:
            type: string
          host:
            type: string
          port:
            type: integer
        required:
        - login
        - password
        - host
        - port
        additionalProperties: false
      mapping:
        type: object
        patternProperties:
          "^.+$":
            type: array
            items:
              type: string
    required:
    - access
    - mapping
    additionalProperties: false
required:
- mysql
